<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Object descriptor. </p>
<p>Must be first element of any objects descriptors placed in shared memory</p>
<p>Make sure this structure is multiple of 64b </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__t.html#a4267007edae2e78773a690459d1d4867">obj_desc_id</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ID of object in shared memory.  <a href="#a4267007edae2e78773a690459d1d4867"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__t.html#a961853b3326506e62ea2b1fba5b19fe2">type</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of object descritor, see <a class="el" href="group__group__tivx__obj__desc.html#ga4858f5eeb4edfc862b9b8b2039ed8109">tivx_obj_desc_type_e</a>.  <a href="#a961853b3326506e62ea2b1fba5b19fe2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__t.html#a3b4114c51dfc1ab12a7194711ee70409">scope_obj_desc_id</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">object descriptor ID of the scope in which this object is created For element of pyramid and object array, this is obj_desc_id of excompassing pyramid, object array  <a href="#a3b4114c51dfc1ab12a7194711ee70409"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__t.html#ad732606f34283c471317f74c9c50b4c0">rsv</a> [1]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">reserved field to make this structure a multiple of 64b  <a href="#ad732606f34283c471317f74c9c50b4c0"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a4267007edae2e78773a690459d1d4867"></a><!-- doxytag: member="tivx_obj_desc_t::obj_desc_id" ref="a4267007edae2e78773a690459d1d4867" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t <a class="el" href="structtivx__obj__desc__t.html#a4267007edae2e78773a690459d1d4867">tivx_obj_desc_t::obj_desc_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>ID of object in shared memory. </p>

</div>
</div>
<a class="anchor" id="a961853b3326506e62ea2b1fba5b19fe2"></a><!-- doxytag: member="tivx_obj_desc_t::type" ref="a961853b3326506e62ea2b1fba5b19fe2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t <a class="el" href="structtivx__obj__desc__t.html#a961853b3326506e62ea2b1fba5b19fe2">tivx_obj_desc_t::type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Type of object descritor, see <a class="el" href="group__group__tivx__obj__desc.html#ga4858f5eeb4edfc862b9b8b2039ed8109">tivx_obj_desc_type_e</a>. </p>

</div>
</div>
<a class="anchor" id="a3b4114c51dfc1ab12a7194711ee70409"></a><!-- doxytag: member="tivx_obj_desc_t::scope_obj_desc_id" ref="a3b4114c51dfc1ab12a7194711ee70409" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t <a class="el" href="structtivx__obj__desc__t.html#a3b4114c51dfc1ab12a7194711ee70409">tivx_obj_desc_t::scope_obj_desc_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>object descriptor ID of the scope in which this object is created For element of pyramid and object array, this is obj_desc_id of excompassing pyramid, object array </p>

</div>
</div>
<a class="anchor" id="ad732606f34283c471317f74c9c50b4c0"></a><!-- doxytag: member="tivx_obj_desc_t::rsv" ref="ad732606f34283c471317f74c9c50b4c0" args="[1]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t <a class="el" href="structtivx__obj__desc__t.html#ad732606f34283c471317f74c9c50b4c0">tivx_obj_desc_t::rsv</a>[1]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>reserved field to make this structure a multiple of 64b </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
